from setuptools import setup, find_packages


long_description = ""

setup(
    name="vs-starter",
    version="0.0.1",
    author="",
    author_email="",
    description="PRISM docker swarm config generator for the view server",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://gitlab.eox.at/vs/vs_starter",
    packages=find_packages(),
    package_data={'': ['templates/*']},
    include_package_data=True,
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.6",
    entry_points={
        "console_scripts": [
            "vs_starter = vs_starter.cli:cli",
        ],
    },
    install_requires=["click<9", "pyyaml<6", "jinja2<4"],
)
