# vs-starter

Creates a docker configuration using the rendered helm templates

## Install

Can be installed by cloning and running

```shell
python setup.py install
```


## Usage

The package works on rendered helm templates so the templates from helm should be
rendered first with:

```shell
helm template <stack-name> chart --output-dir <output-dir> --values values.custom.yaml
```

Afterwards the `vs_starter` command is available:

```shell
Usage: vs_starter [OPTIONS] HELM_CONFIG_PATH OUTPUT_PATH

Options:
  --slug            [required] name of collection to generate, eg "vhr15" 
  --environment     [required] one of "ops", "staging", "dev"
  --extra-parameter-file [required] YAML file with extra set of parameters
                                    for jinja template rendering
  --help                 Show this message and exit.
```
